Skip site navigation (1)Skip section navigation (2)
Date:      Fri, 24 Jul 2015 10:11:19 +0000 (UTC)
From:      Mathieu Arnold <mat@FreeBSD.org>
To:        ports-committers@freebsd.org, svn-ports-all@freebsd.org, svn-ports-head@freebsd.org
Subject:   svn commit: r392816 - head/Mk/Scripts
Message-ID:  <201507241011.t6OABJuD023355@repo.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: mat
Date: Fri Jul 24 10:11:18 2015
New Revision: 392816
URL: https://svnweb.freebsd.org/changeset/ports/392816

Log:
  Split LIB_DEPENDS and the other _DEPENDS types.
  
  Reviewed by:	bapt, pgolluci
  Exp-run by:	mat
  Approved by:	bapt
  With hat:	portmgr
  Sponsored by:	Absolight
  Differential Revision:	https://reviews.freebsd.org/D3150

Modified:
  head/Mk/Scripts/do-depends.sh

Modified: head/Mk/Scripts/do-depends.sh
==============================================================================
--- head/Mk/Scripts/do-depends.sh	Fri Jul 24 09:50:03 2015	(r392815)
+++ head/Mk/Scripts/do-depends.sh	Fri Jul 24 10:11:18 2015	(r392816)
@@ -140,12 +140,21 @@ for _line in ${dp_RAWDEPENDS} ; do
 		fi
 	fi
 
-	case ${pattern} in
-	*\>*|*\<*|*=*) fct=find_package ;;
-	lib*.so*)      fct=find_lib ;;
-	/nonexistent)  fct=false ;;
-	/*)            fct=find_file ;;
-	*)             fct=find_file_path ;;
+	case ${dp_DEPTYPE} in
+	  LIB_DEPENDS)
+	    case ${pattern} in
+	      lib*.so*)      fct=find_lib ;;
+	      *)
+		echo "Error: pattern ${pattern} in LIB_DEPENDS is not valid"
+		exit 1 ;;
+	    esac ;;
+	  *)
+	    case ${pattern} in
+	      *\>*|*\<*|*=*) fct=find_package ;;
+	      /nonexistent)  fct=false ;;
+	      /*)            fct=find_file ;;
+	      *)             fct=find_file_path ;;
+	    esac ;;
 	esac
 	if ${fct} "${pattern}" ; then
 		continue



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201507241011.t6OABJuD023355>